httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Lee Fellows <lfell...@4lane.com>
Subject RE: mod_so error on Apache 2.0 installation
Date Thu, 16 May 2002 16:32:29 GMT
Masoud Rozati,

  Interesting...  Looks like shared library support has been left out
on your build system.  You can build it statically: i.e.,
  ./configure --prefix=/usr/local/apache2 --enable-rewrite.  You may
have additional modules you want to enable in a static build.  
I should preface this by saying 'I hope you can build it statically'.
Normally that is not a problem, but I have not encountered a build
system that did not handle building shared libraries.  I wonder if
something else is also missing.

Aside: I remember when the dynamic library build support was a seperate
package some years ago on linux, but I tend to install everything in
the development packages when I install a Linux system and haven't paid
any attention to whether this was still the case.  From your experience,
looks like it might be.

On Thu, 2002-05-16 at 12:07, Masoud Rozati wrote:
> Lee,
> 
> that does'nt work too. it gives this error:
> ....
> checking whether to enable mod_rewrite... shared
> configure: error: shared objects have been requested but cannot be built
> since mod_so cannot be built
> 
> what should I do?
> 
> |-----Original Message-----
> |From: Lee Fellows [mailto:lfellows@4lane.com]
> |Sent: Thursday, May 16, 2002 15:37
> |To: users@httpd.apache.org
> |Subject: Re: mod_so error on Apache 2.0 installation
> |
> |
> |Masoud Rozati,
> |
> |  Try ./configure =shared
> |
> |  When I run ./configure without specifying anything, I get DSO
> |  support by default.  I believe, if I understand the docs correctly,
> |  DSO support is enabled by default.
> |
> |
> |
> |On Thu, 2002-05-16 at 08:39, Masoud Rozati wrote:
> |> I want to install Apache 2.0.36 on redhat 7.2 (2.4.7 i686)
> |> after running this:
> |> ./configure --prefix=/usr/local/apache2 --enable-so --enable-rewrite
> |> I become following error message :
> |> configure: error: mod_so has been requested but cannot be built on your
> |> system
> |>
> |> could anyone help me?
> |>
> |>
> |>
> |> ---------------------------------------------------------------------
> |> To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
> |> For additional commands, e-mail: users-help@httpd.apache.org
> |>
> |>
> |
> |
> |
> |---------------------------------------------------------------------
> |To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
> |For additional commands, e-mail: users-help@httpd.apache.org
> |
> |
> 
> 
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
> For additional commands, e-mail: users-help@httpd.apache.org
> 
> 



---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message